org.codehaus.groovy.runtime

## Class NumberAwareComparator<T>

- java.lang.Object
- - org.codehaus.groovy.runtime.NumberAwareComparator<T>

- All Implemented Interfaces:
    java.util.Comparator<T>

      public class NumberAwareComparator<T>
      extends java.lang.Object
      implements java.util.Comparator<T>

  Compares two objects using Groovy's friendly comparison algorithm, i.e. handles nulls gracefully (nul being less than everything else) and performs numeric type coercion if required.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumberAwareComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(T o1, T o2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### NumberAwareComparator

          public NumberAwareComparator()

  - ### Method Detail

    - #### compare

          public int compare(T o1,
                    T o2)

      Specified by:
        `compare` in interface `java.util.Comparator<T>`